package com.bonus.canteen.core.notice.print.v2.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class NoticePrintTemplateUpdateDTO extends NoticePrintTemplateAddDTO {
   @ApiModelProperty("模版id")
   private @NotNull(
   message = "notice_print_template_id_is_null"
) Long templateId;

   public Long getTemplateId() {
      return this.templateId;
   }

   public void setTemplateId(final Long templateId) {
      this.templateId = templateId;
   }

   public String toString() {
      return "NoticePrintTemplateUpdateDTO(templateId=" + this.getTemplateId() + ")";
   }

}
